using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;
using System.Text;

using System.Globalization;
using Godot;

namespace Rokojori
{
  public static class XMLRegexExtensions
  {
    public static string Extend( string source )
    {
      source = RegexExtensions.Extend( source );
      
      // xml-name
      source = RegexUtility.Replace( source, @"\\xml-name", @"((?:\w|_)(?:\w|\-|_|\.)*)" );


      return source;
    }
  }
}